Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class ScriptTestAdapter

    java.lang.Object
      org.codehaus.groovy.runtime.ScriptTestAdapter

All Implemented Interfaces:
  Test

    public class ScriptTestAdapter
    extends Object

An adapter to make any Groovy Script class an instance of a JUnit Test

Version:
  \$Revision: 6778 \$

Constructor Summary
`ScriptTestAdapter(Class scriptClass, String[] arguments)`

Method Summary
`int` | `countTestCases()`
`void` | `run(TestResult result)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ScriptTestAdapter

    public ScriptTestAdapter(Class scriptClass, String[] arguments)

Method Detail

### countTestCases

    public int countTestCases()

### run

    public void run(TestResult result)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.